org.vishia.gral.base

## Class GralPanelContent.MethodsCalledbackFromImplementation

- java.lang.Object
- - org.vishia.gral.base.GralWidget.ImplAccess
  - - org.vishia.gral.base.GralPanelContent.MethodsCalledbackFromImplementation

- All Implemented Interfaces:
    GralWidgImpl_ifc
  Enclosing class:
    GralPanelContent

      public abstract static class GralPanelContent.MethodsCalledbackFromImplementation
      extends GralWidget.ImplAccess

  This inner class contains methods which can call by the implementation layer. That methods are not intent to be called by the application. It is public because the implementation level in another package should accesses it.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private GralPanelContent` | `panelg`

    - ### Fields inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `chgBitsDerived, chgColorBack, chgColorLine, chgColorText, chgEditable, chgFloat, chgFocus, chgFont, chgIntg, chgInvisible, chgObjects, chgPos, chgText, chgVisible, chgVisibleInfo, pixBounds, wdgimpl, widgg`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodsCalledbackFromImplementation(GralPanelContent panelg, GralMng mng)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setVisibleState(boolean visible)` Sets the state of the widget whether it seams to be visible.

    - ### Methods inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `acknChanged, actionShow, dyda, getActionChange, getChanged, gralWidgetFromImplData, setDragEnable, setDropEnable, setFocused, setTextChanged, XXXfocusGained`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.vishia.gral.base.GralWidgImpl_ifc

      `getPixelPositionSize, getWidgetImplementation, removeWidgetImplementation, repaintGthread, setBoundsPixel, setFocusGThread, setVisibleGThread`

- - ### Field Detail

    - #### panelg

          private final GralPanelContent panelg

  - ### Constructor Detail

    - #### MethodsCalledbackFromImplementation

          MethodsCalledbackFromImplementation(GralPanelContent panelg,
                                              GralMng mng)

  - ### Method Detail

    - #### setVisibleState

          public void setVisibleState(boolean visible)

      Description copied from class: `GralWidget.ImplAccess`
      Sets the state of the widget whether it seams to be visible. This method should not be invoked by the application. It is
      Overrides:
        `setVisibleState` in class `GralWidget.ImplAccess`